<fd-dialog>
  <fd-dialog-header>
    <h1 fd-dialog-title>Aprovadores</h1>
    <button fd-dialog-close-button></button>
  </fd-dialog-header>
  <fd-dialog-body>
    <div [fdLayoutGridCol]="12" [colLg]="12">
      <fd-multi-input
        [dropdownValues]="approverList"
        [displayFn]="objectValuesDisplayFn"
        [valueFn]="objectValuesValueFn"
        placeholder="Pesquisa Aqui..."
        [(ngModel)]="approvers"
      ></fd-multi-input>
    </div>
  </fd-dialog-body>

  <fd-dialog-footer>
    <fd-busy-indicator
      [loading]="isLoading"
      size="s"
      aria-labelledby="fd-busy-indicator-label-2"
      title="Inline Wrapper"
    >
      <fd-button-bar
        fdType="emphasized"
        label="Confirmar"
        [fdCompact]="true"
        (click)="onConfirmModal()"
        ariaLabel="Confirmar"
        [disabled]="isLoading"
      ></fd-button-bar>
    </fd-busy-indicator>

    <fd-button-bar
      fdInitialFocus
      label="Cancelar"
      [fdCompact]="true"
      (click)="dialogRef.dismiss('Cancelar')"
      ariaLabel="Cancelar"
      [disabled]="isLoading"
    ></fd-button-bar>
  </fd-dialog-footer>
</fd-dialog>
